<?php
/*
 * Copyright (c) 2023. RTM Business
 */

namespace WordpressModels\ORM\Entity\PostType;

use Doctrine\ORM\Mapping\Entity;
use WordpressModels\ORM\Entity\Post;

/**
 * @todo: Add specific meta as getter/setters
 */
#[Entity]
class Attachment extends Post
{

    public function getData()
    {
        return $this->getMetaValue('_wp_attachment_metadata');
    }

}
